xine-lib: xine-lib-1.2.12/src/video_out/xvmc_mocomp.c File Reference

xine-lib 1.2.12

Functions
xvmc_mocomp.c File Reference
`#include "xxmc.h"`

## Functions
static void | calc_DMV (int DMV[][2], int *dmvector, int mvx, int mvy, int picture_structure, int top_field_first)
static void | xvmc_render_macro_blocks (vo_frame_t *current_image, vo_frame_t *backward_ref_image, vo_frame_t *forward_ref_image, int picture_structure, int second_field, xvmc_macroblocks_t *macroblocks)
void | xxmc_xvmc_proc_macro_block (int x, int y, int mb_type, int motion_type, int(*mv_field_sel)[2], int *dmvector, int cbp, int dct_type, vo_frame_t *current_frame, vo_frame_t *forward_ref_frame, vo_frame_t *backward_ref_frame, int picture_structure, int second_field, int(*f_mot_pmv)[2], int(*b_mot_pmv)[2])

## Function Documentation

## ◆ calc_DMV()

static void calc_DMV | ( | int | DMV[][2],
|  | int * | dmvector,
|  | int | mvx,
|  | int | mvy,
|  | int | picture_structure,
|  | int | top_field_first
| ) |  |
| static

References VO_BOTH_FIELDS, and VO_TOP_FIELD.

Referenced by xxmc_xvmc_proc_macro_block().

## ◆ xvmc_render_macro_blocks()

static void xvmc_render_macro_blocks | ( | vo_frame_t * | current_image,
|  | vo_frame_t * | backward_ref_image,
|  | vo_frame_t * | forward_ref_image,
|  | int | picture_structure,
|  | int | second_field,
|  | xvmc_macroblocks_t * | macroblocks
| ) |  |
| static

References xvmc_macroblocks_t::blocks, vo_frame_s::driver, lprintf, xvmc_macroblocks_t::macro_blocks, NULL, xvmc_macroblocks_t::slices, xxmc_frame_t::xvmc_surf, XVMCLOCKDISPLAY, XVMCUNLOCKDISPLAY, and XXMC_FRAME.

Referenced by xxmc_xvmc_proc_macro_block().

## ◆ xxmc_xvmc_proc_macro_block()

void xxmc_xvmc_proc_macro_block | ( | int | x,
|  | int | y,
|  | int | mb_type,
|  | int | motion_type,
|  | int(*) | mv_field_sel[2],
|  | int * | dmvector,
|  | int | cbp,
|  | int | dct_type,
|  | vo_frame_t * | current_frame,
|  | vo_frame_t * | forward_ref_frame,
|  | vo_frame_t * | backward_ref_frame,
|  | int | picture_structure,
|  | int | second_field,
|  | int(*) | f_mot_pmv[2],
|  | int(*) | b_mot_pmv[2]
| ) |  |

References calc_DMV(), vo_frame_s::driver, NULL, vo_frame_s::picture_coding_type, vo_frame_s::top_field_first, VO_BOTH_FIELDS, XINE_MACROBLOCK_INTRA, XINE_MACROBLOCK_MOTION_BACKWARD, XINE_MACROBLOCK_MOTION_FORWARD, XINE_MACROBLOCK_PATTERN, XINE_MC_16X8, XINE_MC_DMV, XINE_MC_FIELD, XINE_MC_FRAME, XINE_PICT_B_TYPE, XINE_PICT_D_TYPE, XINE_PICT_I_TYPE, XINE_PICT_P_TYPE, and xvmc_render_macro_blocks().

Referenced by xxmc_frame_updates().